Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Log

    java.lang.Object
      |
      +--org.hsqldb.Log

class Log
extends java.lang.Object
implements java.lang.Runnable

This class is responsible for most file handling. A HSQL database consists of a .properties file, a .script file (contains a SQL script), a .data file (contains data of cached tables) and a .backup file (contains the compressed .data file)

This is an example of the .properties file. The version and the modified properties are automatically created by the database and should not be changed manually:

     modified=no
     version=1.3

The following lines are optional, this means they are not created automatically by the database, but they are interpreted if they exist in the .script file. They have to be created manually if required. If they don't exist the default is used. This are the defaults of the database 'test':

     script=test.script
     data=test.data
     backup=test.backup
     readonly=false

Field Summary
`(package private) Cache` | `cCache`

Constructor Summary
`(package private)` | `Log(Database db, Channel system, java.lang.String name)` Constructor declaration

Method Summary
`(package private) void` | `checkpoint()` Method declaration
`(package private) void` | `close(boolean compact)` Method declaration
`(package private) boolean` | `open()` Method declaration
`void` | `run()` Method declaration
`(package private) static void` | `scriptToFile(Database db, java.lang.String file, boolean full, Channel channel)` Method declaration
`(package private) void` | `setLogSize(int mb)` Method declaration
`(package private) void` | `setWriteDelay(boolean delay)` Method declaration
`(package private) void` | `shutdown()` Method declaration
`(package private) void` | `stop()` Method declaration
`(package private) void` | `write(Channel c, java.lang.String s)` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cCache

    Cache cCache

Constructor Detail

### Log

    Log(Database db,
        Channel system,
        java.lang.String name)
    throws java.sql.SQLException

  Constructor declaration
  Parameters:
    `db` -
    `system` -
    `name` -

Method Detail

### run

    public void run()

  Method declaration
  Specified by:
    run in interface java.lang.Runnable

### setWriteDelay

    void setWriteDelay(boolean delay)

  Method declaration
  Parameters:
    `delay` -

### open

    boolean open()
           throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### stop

    void stop()

  Method declaration

### close

    void close(boolean compact)
         throws java.sql.SQLException

  Method declaration
  Parameters:
    `compact` -
  Throws:
    java.sql.SQLException -

### checkpoint

    void checkpoint()
              throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### setLogSize

    void setLogSize(int mb)

  Method declaration
  Parameters:
    `mb` -

### write

    void write(Channel c,
               java.lang.String s)
         throws java.sql.SQLException

  Method declaration
  Parameters:
    `c` -
    `s` -
  Throws:
    java.sql.SQLException -

### shutdown

    void shutdown()
            throws java.sql.SQLException

  Method declaration
  Throws:
    java.sql.SQLException -

### scriptToFile

    static void scriptToFile(Database db,
                             java.lang.String file,
                             boolean full,
                             Channel channel)
                      throws java.sql.SQLException

  Method declaration
  Parameters:
    `db` -
    `file` -
    `full` -
    `channel` -
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD